DPGEN_AND4(3)

NAME
DPGEN_AND4 - AND4 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_AND4, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits four inputs AND with an output power of drive named modelname.

Valid drive are : 2 or 4.

  TERMINAL NAMES

1.  i3 : input.

2.  i2 : input.

3.  i1 : input.

4.  i0 : input.

5.  q : output.

6.  vdd : power.

7.  vss : ground.

  BEHAVIOR
q <= i0 and i1 and i2 and i3

EXAMPLE

GENLIB_MACRO(DPGEN_AND4, "model_and4_32"
                        , F_BEHAV|F_PLACE
                        , 32
                        , 2
                        );
GENLIB_LOINS( "model_and4_32"
            , "instance1_and4_32"
            , "i3[31:0]"
            , "i2[31:0]"
            , "i1[31:0]"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)